- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Modules
ArrayFire Functions by Category

## Modules
| Computer Vision
| A list of computer vision algorithms.
| Functions to create and modify Arrays
| Array constructors, random number generation, transpose, indexing, etc.
| Image Processing
| Image filtering, morphing and transformations.
| Input and Output functions
| Functions to read and write data.
| Interface Functions
| Backend specific functions.
| Linear Algebra
| Matrix multiply, solve, decompositions.
| Mathematical functions
| Functions from standard math library.
| Signal Processing
| Convolutions, FFTs, filters.
| Statistics
| A list of Statistics functions.
| Vector Algorithms
| sum, min, max, sort, set operations, etc.

## Detailed Description